#ifndef GDOME_REFDEBUG_H
#define GDOME_REFDEBUG_H

typedef enum {
  GDOME_REFDBG_STR = 0,
  GDOME_REFDBG_NODE = 1,
  GDOME_REFDBG_NODELIST = 2,
  GDOME_REFDBG_NAMEDNODEMAP = 3,
  GDOME_REFDBG_EVENT = 4,
  GDOME_REFDBG_EVENTLISTENER = 5,
} GdomeRefType;

void gdome_refdbg_addRef (void *ref, GdomeRefType type);
gint gdome_refdbg_numRef (void *ref, GdomeRefType type);
void gdome_refdbg_delRef (void *ref, GdomeRefType type);

#endif /* GDOME_REFDEBUG_H */
